package cn.superdesk.uniorder.dao.entity.accounting.score.customer;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class AccountingScoreCustomerXCreditExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public AccountingScoreCustomerXCreditExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    accounting_score_customer_x_credit
     *
     * @mbg.generated Mon Feb 21 14:02:38 CST 2022
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdIsNull() {
            addCriterion("accounting_order_id is null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdIsNotNull() {
            addCriterion("accounting_order_id is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdEqualTo(Long value) {
            addCriterion("accounting_order_id =", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdNotEqualTo(Long value) {
            addCriterion("accounting_order_id <>", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdGreaterThan(Long value) {
            addCriterion("accounting_order_id >", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdGreaterThanOrEqualTo(Long value) {
            addCriterion("accounting_order_id >=", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdLessThan(Long value) {
            addCriterion("accounting_order_id <", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdLessThanOrEqualTo(Long value) {
            addCriterion("accounting_order_id <=", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdIn(List<Long> values) {
            addCriterion("accounting_order_id in", values, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdNotIn(List<Long> values) {
            addCriterion("accounting_order_id not in", values, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdBetween(Long value1, Long value2) {
            addCriterion("accounting_order_id between", value1, value2, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdNotBetween(Long value1, Long value2) {
            addCriterion("accounting_order_id not between", value1, value2, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIsNull() {
            addCriterion("accounting_order_sn is null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIsNotNull() {
            addCriterion("accounting_order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnEqualTo(String value) {
            addCriterion("accounting_order_sn =", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotEqualTo(String value) {
            addCriterion("accounting_order_sn <>", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnGreaterThan(String value) {
            addCriterion("accounting_order_sn >", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("accounting_order_sn >=", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLessThan(String value) {
            addCriterion("accounting_order_sn <", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLessThanOrEqualTo(String value) {
            addCriterion("accounting_order_sn <=", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLike(String value) {
            addCriterion("accounting_order_sn like", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotLike(String value) {
            addCriterion("accounting_order_sn not like", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIn(List<String> values) {
            addCriterion("accounting_order_sn in", values, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotIn(List<String> values) {
            addCriterion("accounting_order_sn not in", values, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnBetween(String value1, String value2) {
            addCriterion("accounting_order_sn between", value1, value2, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotBetween(String value1, String value2) {
            addCriterion("accounting_order_sn not between", value1, value2, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdIsNull() {
            addCriterion("unified_order_id is null");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdIsNotNull() {
            addCriterion("unified_order_id is not null");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdEqualTo(Long value) {
            addCriterion("unified_order_id =", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdNotEqualTo(Long value) {
            addCriterion("unified_order_id <>", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdGreaterThan(Long value) {
            addCriterion("unified_order_id >", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdGreaterThanOrEqualTo(Long value) {
            addCriterion("unified_order_id >=", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdLessThan(Long value) {
            addCriterion("unified_order_id <", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdLessThanOrEqualTo(Long value) {
            addCriterion("unified_order_id <=", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdIn(List<Long> values) {
            addCriterion("unified_order_id in", values, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdNotIn(List<Long> values) {
            addCriterion("unified_order_id not in", values, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdBetween(Long value1, Long value2) {
            addCriterion("unified_order_id between", value1, value2, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdNotBetween(Long value1, Long value2) {
            addCriterion("unified_order_id not between", value1, value2, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderGoodsIdIsNull() {
            addCriterion("unified_order_goods_id is null");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderGoodsIdIsNotNull() {
            addCriterion("unified_order_goods_id is not null");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderGoodsIdEqualTo(Long value) {
            addCriterion("unified_order_goods_id =", value, "unifiedOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderGoodsIdNotEqualTo(Long value) {
            addCriterion("unified_order_goods_id <>", value, "unifiedOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderGoodsIdGreaterThan(Long value) {
            addCriterion("unified_order_goods_id >", value, "unifiedOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderGoodsIdGreaterThanOrEqualTo(Long value) {
            addCriterion("unified_order_goods_id >=", value, "unifiedOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderGoodsIdLessThan(Long value) {
            addCriterion("unified_order_goods_id <", value, "unifiedOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderGoodsIdLessThanOrEqualTo(Long value) {
            addCriterion("unified_order_goods_id <=", value, "unifiedOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderGoodsIdIn(List<Long> values) {
            addCriterion("unified_order_goods_id in", values, "unifiedOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderGoodsIdNotIn(List<Long> values) {
            addCriterion("unified_order_goods_id not in", values, "unifiedOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderGoodsIdBetween(Long value1, Long value2) {
            addCriterion("unified_order_goods_id between", value1, value2, "unifiedOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderGoodsIdNotBetween(Long value1, Long value2) {
            addCriterion("unified_order_goods_id not between", value1, value2, "unifiedOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderCreditIdIsNull() {
            addCriterion("unified_order_credit_id is null");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderCreditIdIsNotNull() {
            addCriterion("unified_order_credit_id is not null");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderCreditIdEqualTo(Long value) {
            addCriterion("unified_order_credit_id =", value, "unifiedOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderCreditIdNotEqualTo(Long value) {
            addCriterion("unified_order_credit_id <>", value, "unifiedOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderCreditIdGreaterThan(Long value) {
            addCriterion("unified_order_credit_id >", value, "unifiedOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderCreditIdGreaterThanOrEqualTo(Long value) {
            addCriterion("unified_order_credit_id >=", value, "unifiedOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderCreditIdLessThan(Long value) {
            addCriterion("unified_order_credit_id <", value, "unifiedOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderCreditIdLessThanOrEqualTo(Long value) {
            addCriterion("unified_order_credit_id <=", value, "unifiedOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderCreditIdIn(List<Long> values) {
            addCriterion("unified_order_credit_id in", values, "unifiedOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderCreditIdNotIn(List<Long> values) {
            addCriterion("unified_order_credit_id not in", values, "unifiedOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderCreditIdBetween(Long value1, Long value2) {
            addCriterion("unified_order_credit_id between", value1, value2, "unifiedOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderCreditIdNotBetween(Long value1, Long value2) {
            addCriterion("unified_order_credit_id not between", value1, value2, "unifiedOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andAccountingStateIsNull() {
            addCriterion("accounting_state is null");
            return (Criteria) this;
        }

        public Criteria andAccountingStateIsNotNull() {
            addCriterion("accounting_state is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingStateEqualTo(Integer value) {
            addCriterion("accounting_state =", value, "accountingState");
            return (Criteria) this;
        }

        public Criteria andAccountingStateNotEqualTo(Integer value) {
            addCriterion("accounting_state <>", value, "accountingState");
            return (Criteria) this;
        }

        public Criteria andAccountingStateGreaterThan(Integer value) {
            addCriterion("accounting_state >", value, "accountingState");
            return (Criteria) this;
        }

        public Criteria andAccountingStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("accounting_state >=", value, "accountingState");
            return (Criteria) this;
        }

        public Criteria andAccountingStateLessThan(Integer value) {
            addCriterion("accounting_state <", value, "accountingState");
            return (Criteria) this;
        }

        public Criteria andAccountingStateLessThanOrEqualTo(Integer value) {
            addCriterion("accounting_state <=", value, "accountingState");
            return (Criteria) this;
        }

        public Criteria andAccountingStateIn(List<Integer> values) {
            addCriterion("accounting_state in", values, "accountingState");
            return (Criteria) this;
        }

        public Criteria andAccountingStateNotIn(List<Integer> values) {
            addCriterion("accounting_state not in", values, "accountingState");
            return (Criteria) this;
        }

        public Criteria andAccountingStateBetween(Integer value1, Integer value2) {
            addCriterion("accounting_state between", value1, value2, "accountingState");
            return (Criteria) this;
        }

        public Criteria andAccountingStateNotBetween(Integer value1, Integer value2) {
            addCriterion("accounting_state not between", value1, value2, "accountingState");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }
    }

    /**
    accounting_score_customer_x_credit
     *
     * @mbg.generated do_not_delete_during_merge Mon Feb 21 14:02:38 CST 2022
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
    accounting_score_customer_x_credit
     *
     * @mbg.generated Mon Feb 21 14:02:38 CST 2022
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}
